[@bigcommerce/checkout-sdk](../README.md) / GiftCertificateSelector

# Interface: GiftCertificateSelector

## Table of contents

### Methods

- [getApplyError](GiftCertificateSelector.md#getapplyerror)
- [getGiftCertificates](GiftCertificateSelector.md#getgiftcertificates)
- [getRemoveError](GiftCertificateSelector.md#getremoveerror)
- [isApplying](GiftCertificateSelector.md#isapplying)
- [isRemoving](GiftCertificateSelector.md#isremoving)

## Methods

### getApplyError

▸ **getApplyError**(): `undefined` \| [`RequestError`](../classes/RequestError.md)\<`StorefrontErrorResponseBody`\>

#### Returns

`undefined` \| [`RequestError`](../classes/RequestError.md)\<`StorefrontErrorResponseBody`\>

___

### getGiftCertificates

▸ **getGiftCertificates**(): `undefined` \| [`GiftCertificate`](GiftCertificate.md)[]

#### Returns

`undefined` \| [`GiftCertificate`](GiftCertificate.md)[]

___

### getRemoveError

▸ **getRemoveError**(): `undefined` \| [`RequestError`](../classes/RequestError.md)\<`StorefrontErrorResponseBody`\>

#### Returns

`undefined` \| [`RequestError`](../classes/RequestError.md)\<`StorefrontErrorResponseBody`\>

___

### isApplying

▸ **isApplying**(): `boolean`

#### Returns

`boolean`

___

### isRemoving

▸ **isRemoving**(): `boolean`

#### Returns

`boolean`
